Bug 386201 - floppy disk hangs on write, corrupts floppy contents
floppy disk hangs on write, corrupts floppy contents
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 22:12 EST by Gregory Kizior
Modified: 2013-03-05 22:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:26:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Kizior 2007-11-15 22:12:42 EST
Description of problem:I can mount a floppy disk and read from it. But when I cp
a file to it or even just unmount it, the floppy drive hangs, light on forever,
and umount never completes. Pulling the diskette corrupts its contents. Cannot
even shutdown the system until you pull the diskette!
I installed WindowsXP Home SP1 and it was able to read and write the floppy.
Sorry, I guessed hal, but I don't really know; this is my first bug report.


Version-Release number of selected component (if applicable):Fedora 7 (and 8)


How reproducible:Every time.


Steps to Reproduce:
1.insert a floppy diskette
2.double-click on "Floppy Drive" icon in "Computer"
3.ls /media/disk/* OR echo hello > /media/disk/test.file
4.right-click on "floppy drive" icon, select "unmount"

  
Actual results:floppy drive light illuminates, stays on until diskette is
manually removed. Contents of diskette are "Jan 1 1980 ga" (my hostname is gakg)


Expected results:floppy drive light goes out, contents of floppy are intact.


Additional info:
Comment 1 Gregory Kizior 2007-11-15 22:16:27 EST
Oops. Step 3. should say "cp /media/disk/any.file ." not just "ls" to cause
linux to want to update "any.file" access time (i.e. write to the floppy).
Comment 2 Gregory Kizior 2007-11-16 19:59:43 EST
Sorry, I was tired last night. I bought a new motherboard, GigaByte
GA-MA69GM-S2H that booting a WindowsME boot floppy and writing a file to it
works. I usually use fstab to let me mount a floppy from the command line. My
other linux box, Fedora 6 uses this, too. It works there, but not on my new
linux box, as per above.
I figure that if old and new Windows can read and write the floppy disk, there
must be something Fedora linux is doing that is wrong. Could be the motherboard
manufacturers are playing Microsoft's game and 'tweaking' linux noses by
changing the chipset JUST to cause irritating problems like this.
If I can't have linux on this new computer, I'm going to trash it and buy a Mac.
I understand Macintosh runs on BSD UNIX, right?
Comment 3 Gregory Kizior 2007-11-30 22:29:56 EST
Sorry I can't get my act together. All my files are on DVDs, now, and I'm trying
to get Fedora 8 back up (just reinstalled it).
I found x86_64 in the list, so I changed that. The GigaByte board is the same.
I should have said, after a corrupted floppy is mounted again, it has one file
on it: "ga...0 bytes...plain text document...Tue Jan 01 1980 12:00:00 AM PST",
always! Right clicking, choosing 'Unmount volume' yields a dialog box:
"Writing data to device
There is data that needs to be written to the device PC Floppy Drive before it
can be removed. Please do not remove the media or disconnect the drive."
NOW I think that is all the info I can provide. Thanks.
Comment 4 Bug Zapper 2008-11-26 03:29:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 02:26:12 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.